Cannot compile Cyclos 3

Any issue about installation and configuration of the Cyclos software

Moderators: hugo, alexandre, rmvanarkel

Post Reply
elis88
Posts: 1
Joined: Mon Jan 13, 2014 1:39 pm

Cannot compile Cyclos 3

Post by elis88 » Tue Jan 14, 2014 5:40 am

Hi, I'm trying to develop on cyclos using netbeans, but compile errors appear.
I followed the instructions on the wiki.

Compile Error:

Code: Select all


/home/cyclos/cyclos3/src/nl/strohalm/cyclos/http/ResettableHttpServletResponse.java:47: error: ResettableHttpServletResponse is not abstract and does not override abstract method getHeaderNames() in HttpServletResponse
public class ResettableHttpServletResponse implements HttpServletResponse, Resettable {
/home/cyclos/cyclos3/src/nl/strohalm/cyclos/http/ResettableHttpServletResponse.java:231: error: getStatus() in ResettableHttpServletResponse cannot implement getStatus() in HttpServletResponse
    public Integer getStatus() {
  return type Integer is not compatible with int
Note: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.
2 errors
/home/cyclos/cyclos3/nbproject/build-impl.xml:886: The following error occurred while executing this line:
/home/cyclos/cyclos3/nbproject/build-impl.xml:318: Compile failed; see the compiler error output for details.
BUILD FAILED (total time: 5 seconds)


Thank you

ticoerrecart
Posts: 1
Joined: Tue May 13, 2014 2:51 pm

Re: Cannot compile Cyclos 3

Post by ticoerrecart » Tue May 13, 2014 3:00 pm

Hi, check if you are compiling the proyect with JAVA 7 and change it to Java 6.
I had the same problem using Eclipse. I also had to change the "Project Facets" doing the following steps in order to compile with Java 6 (don´t know if you have to do something similar in Netbeans):

Change the org.eclipse.wst.common.project.facet.core.xml file from your project .settings file Follow the steps 1. Window > Show View > Other > General > Navigator
There is a .settings folder under your project directory
2.Change the dynamic web module version in this line to 2.5
3.Change the Java version in this line to 1.6
4.Now refresh your project and get set to run on your server.

http://stackoverflow.com/questions/1812 ... ule-to-3-0

Post Reply